%{?mingw_package_header}

%global pkgname enum34

Name:           mingw-python-%{pkgname}
Version:        1.1.6
Release:        2%{?dist}
Summary:        MinGW Windows Python enum34
License:        BSD
BuildArch:      noarch
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/e/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildRequires:  mingw32-filesystem >= 102
BuildRequires:  mingw32-python2
BuildRequires:  mingw32-python2-setuptools

BuildRequires:  mingw64-filesystem >= 102
BuildRequires:  mingw64-python2
BuildRequires:  mingw64-python2-setuptools

%description
MinGW Windows Python enum34.


%package -n mingw32-python2-%{pkgname}
Summary:       MinGW Windows Python2 enum34
Requires:      mingw32-python2

%description -n mingw32-python2-%{pkgname}
MinGW Windows Python2 enum34.


%package -n mingw64-python2-%{pkgname}
Summary:       MinGW Windows Python2 enum34
Requires:      mingw64-python2

%description -n mingw64-python2-%{pkgname}
MinGW Windows Python2 enum34.


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%{mingw32_python2} setup.py build -b build_mingw32
%{mingw64_python2} setup.py build -b build_mingw64


%install
ln -s build_mingw32 build
%{mingw32_python2} setup.py install -O1 --skip-build --root=%{buildroot}
rm build

ln -s build_mingw64 build
%{mingw64_python2} setup.py install -O1 --skip-build  --root=%{buildroot}
rm build

# remove docs from sitelib
rm -rf %{buildroot}%{mingw32_python2_sitearch}/enum/{LICENSE,README,doc}
rm -rf %{buildroot}%{mingw64_python2_sitearch}/enum/{LICENSE,README,doc}

%files -n mingw32-python2-%{pkgname}
%license enum/LICENSE
%{mingw32_python2_sitearch}/enum
%{mingw32_python2_sitearch}/%{pkgname}-%{version}-py?.?.egg-info

%files -n mingw64-python2-%{pkgname}
%license enum/LICENSE
%{mingw64_python2_sitearch}/enum
%{mingw64_python2_sitearch}/%{pkgname}-%{version}-py?.?.egg-info


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 29 2018 Sandro Mani <manisandro@gmail.com> - 1.1.6-1
- Initial package
